import request from '@/utils/request'

// 登录
export const login = (data) => {
    return request({
        url: '/frame/optr/login.htm',
        method: 'post',
        data
    })
}

// 获取参数列表
export const getParam = () => {
    return request({
        url: '/param/list.htm',
        method: 'post'
    })
}

// 获取航次列表
export const voyageReg = (data) => {
    return request({
        baseURL: data.baseURL,
        url: '/voyage/reg/list.htm',
        method: 'post'
    })
}

// 获取任务列表
export const regPage = (data) => {
    return request({
        url: '/rescue/reg/page.htm',
        method: 'post',
        data
    })
}

// 查询任务详情
export const regFind = (data) => {
    return request({
        url: '/rescue/reg/find.htm',
        method: 'post',
        data
    })
}

// 新增/编辑任务
export const regEdit = (data) => {
    return request({
        url: '/rescue/reg/edit.htm',
        method: 'post',
        data
    })
}

// 附件列表
export const regFileList = (data) => {
    return request({
        url: '/rescue/reg/file/list.htm',
        method: 'post',
        data
    })
}

// 查看附件接口
export const regFileView = () => {
    return request({
        url: '/rescue/reg/file/view.htm',
        method: 'post'
    })
}

// 附件删除
export const regFileDelete = (data) => {
    return request({
        url: '/rescue/reg/file/delete.htm',
        method: 'post',
        data
    })
}


